/**
 * Miranda ICQ contact list and events database to Ickle database converter.
 * $Id: Contact.h,v 1.10 2002/05/30 16:00:07 berk Exp $
 *
 * @file  Contact.h
 * @brief Contact for particular user.
 * @brief Contains user information and user message history.
 *
 * Copyright (c) 2002, Stanislav Karchebny  <berk@upnet.ru>
 * Distributed under BSD License. See file LICENSE for details.
 */

#ifndef __M2I_CONTACT_H
#define __M2I_CONTACT_H

#include <vector>
#include <string>
#include "miranda_db.h"
#include "Settings.h"

using namespace std;

class Contact
{
public:
   Contact(char *where_to_save, char *filename_override = NULL);

   void add(char *module, DBVARIANT *setting);
   void add_history(char *module, DBEvent *event, BYTE *data);

   void write(); // write all into ickle files

private:
   char *path;          // directory where to save, trailing slash included
   char *file_override; // override filename if specified
   Settings settings;
   vector<string> history;
};

inline Contact::Contact(char *where_to_save,
                        char *filename_override) : path(where_to_save)
                                                 , file_override(filename_override)
                                                 , settings()
                                                 , history()
{
}

#endif /* __M2I_CONTACT_H */
