/**
 * Miranda ICQ contact list and events database to Ickle database converter.
 * $Id: errwarn.c,v 1.5 2002/05/30 16:00:07 berk Exp $
 *
 * @file  errwarn.c
 * @brief Errors/warnings/notices output.
 *
 * Copyright (c) 2002, Stanislav Karchebny  <berk@upnet.ru>
 * Distributed under BSD License. See file LICENSE for details.
 */

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>

void error(char *fmt, ...)
{
   va_list ap;
   va_start(ap, fmt);
   vfprintf(stderr, fmt, ap);
   va_end(ap);
   exit(1);
}

void warning(char *fmt, ...)
{
   va_list ap;
   va_start(ap, fmt);
   fprintf(stderr, "WARNING: ");
   vfprintf(stderr, fmt, ap);
   va_end(ap);
}

void notice(char *fmt, ...)
{
   va_list ap;
   va_start(ap, fmt);
   vfprintf(stdout, fmt, ap);
   va_end(ap);
}
