/**
 * Miranda ICQ contact list and events database to Ickle database converter.
 * $Id: iconvert.h,v 1.5 2002/05/29 21:25:30 berk Exp $
 *
 * @file  iconvert.h
 * @brief iconv wrapper.
 *
 * Copyright (c) 2002, Stanislav Karchebny  <berk@upnet.ru>
 * Distributed under BSD License. See file LICENSE for details.
 */

#ifndef __M2I_ICONVERT_H
#define __M2I_ICONVERT_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifdef HAVE_ICONV_OPEN
#include <iconv.h>
#endif
#include <string>

using namespace std;

class iconvert
{
public:
   iconvert();
   iconvert(const string& from, const string& to);
   ~iconvert();

   string iconv(const string& input);

private:
   string recode_from, recode_to;
#ifdef HAVE_ICONV_OPEN
   iconv_t iconv_state;
#endif
};

#endif /* __M2I_ICONVERT_H */
