/**
 * Miranda ICQ contact list and events database to Ickle database converter.
 * $Id: vf.c,v 1.6 2002/05/30 16:00:07 berk Exp $
 *
 * @file  vf.c
 * @brief Verified read/write.
 *
 * Copyright (c) 2002, Stanislav Karchebny  <berk@upnet.ru>
 * Distributed under BSD License. See file LICENSE for details.
 */

#include <stdio.h>
#include "errwarn.h"

/*
 * verified fread
 */
int vfread( char *filename, const char *function, int line, FILE *fp, void *buf, size_t size )
{
   if( fread(buf, size, 1, fp) != 1 )
      error("reading %d bytes from %s failed in %s:%u\n", size, filename, function, line);
   return 1;
}

/*
 * verified write
 */
int vfwrite( char *filename, const char *function, int line, FILE *fp, void *buf, size_t size )
{
   if( fwrite(buf, size, 1, fp) != 1 )
      error("writing %d bytes to %s failed in %s:%u\n", size, filename, function, line);
   return 1;
}
