/**
 * Miranda ICQ contact list and events database to Ickle database converter.
 * $Id: vf.h,v 1.6 2002/05/30 16:00:07 berk Exp $
 *
 * @file  vf.h
 * @brief Verified read/write.
 *
 * Copyright (c) 2002, Stanislav Karchebny  <berk@upnet.ru>
 * Distributed under BSD License. See file LICENSE for details.
 */

#ifndef __M2I_VF_H
#define __M2I_VF_H

#ifdef __cplusplus
extern "C" {
#endif

/** Read data from file fp or crash loudly with all possible debug info.
* @param filename Name of file belonging to open pointer fp.
* @param function Function name vfread was called from.
* @param line Line in that function.
* @param fp File pointer to read from.
* @param buf Buffer to read into.
* @param size How many bytes to read.
* @return @c true if read ok, otherwise exit with error message.
*/
int vfread( char *filename, const char *function, int line, FILE *fp, void *buf, size_t size );

/** Write data to file fp or crash even more loudly with again all info.
* @param filename Name of file belonging to open pointer fp.
* @param function Function name vfwrite was called from.
* @param line Line in that function.
* @param fp File pointer to write to.
* @param buf Buffer to write from.
* @param size How many bytes to write.
* @return @c true if write ok, otherwise exit with error message.
*/
int vfwrite( char *filename, const char *function, int line, FILE *fp, void *buf, size_t size );

#ifdef __cplusplus
}
#endif

#endif /* __M2I_VF_H */
